Page MenuHomePhabricator

Allow to link to any page
Closed, ResolvedPublic

Description

When users select a piece of text, CX provides suggestions to add a link. In some cases these suggestions are not useful or are missing. In those cases users may want to link to a specific page.

To do so, we can provide a card to add a link. When link cards are shown, the card will be labeled as "Link to another page" and it will be shown right after the link cards. If there are no link cards, the card would just say "Add link".

Once the user clicks on the card, a link selector (based on T76397) will be provided.

Some details:

  • When the selector is shown the previous link cards will be hidden.
  • The selector will show an initial list of links based on (a) a search query based on the current selected text, and (b) the adapted version of the links in the source paragraph (or the ones not added yet if we have to prioritise). The later criteria is important to support the easy addition of links for languages without Machine Translation.
  • A keyboard shortcut for adding link can be provided to facilitate the process. Control+K. Pressing that opens the "Add link" card with initial list of links(see above point)
  • Link insertion will allow to generate red links and external links.

This is an iteration of an older Mingle card: https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/4579

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAllow adding any external or internal link to the translation

Event Timeline

Pginer-WMF raised the priority of this task from to High.
Pginer-WMF updated the task description. (Show Details)

If we're allowing links to any page, we might be better served by using the same model (or even same component from VE) that @KHammerstein has created here T76397: New search interface for link dialogue

Pginer-WMF updated the task description. (Show Details)Feb 23 2015, 10:33 AM
Pginer-WMF set Security to None.

@Jaredzimmerman-WMF Makes sense. I updated the design notes to make the link selector to follow T76397: New search interface for link dialogue

Amire80 lowered the priority of this task from High to Medium.Mar 18 2015, 8:52 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:05 AM
santhosh edited a custom field.Jun 10 2015, 6:28 AM
santhosh updated the task description. (Show Details)Jun 10 2015, 9:27 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-88 board.

Here is the icon:

@Pginer-WMF, could you please give the image for "add link" icon in first screenshot?

Change 217491 had a related patch set uploaded (by Santhosh):
Allow adding any external or internal link to the translation

https://gerrit.wikimedia.org/r/217491

santhosh moved this task from In Progress to In Review on the LE-Sprint-88 board.Jun 12 2015, 9:46 AM

The latest patchset resolves the issue of inserting a link with selecting text, but there's one thing on which I'd love to have clarity: should the link tool be seen all the time? Currently it disappears after some typing, and reappears after clicking. I find this confusing. If it appears all the time, then it should be there permanently. @Pginer-WMF, what's your take?

The generic link card should be visible all the time. If there are link cards to show, it should appear below them. If there are no link cards to show, it should appear right below the formatting bar.

The generic link card should be visible all the time. If there are link cards to show, it should appear below them. If there are no link cards to show, it should appear right below the formatting bar.

Thanks. So -1 till that is fixed.

Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM

Change 217491 merged by jenkins-bot:
Allow adding any external or internal link to the translation

https://gerrit.wikimedia.org/r/217491

santhosh closed this task as Resolved.Jul 16 2015, 7:11 PM
Arrbee edited a custom field.